<?php
session_start();
include('../config.php');

$directorio=$rutaPhp.$rutaHtml.'/docs';
    
if (isset($_POST)) {

	$nombreArchivo=session_id().date('YmdHis');

    $data=file_get_contents("php://input");
	
    $image_parts=explode(";base64,",$data);
    
	$image_type_aux=explode("image/",$image_parts[0]);
    $image_type=$image_type_aux[1];
	
	$nombreArchivo.='.'.$image_type;
	$file=$directorio.'/'.$nombreArchivo;
    
	$image_base64=base64_decode($image_parts[1]);
    
	if (file_put_contents($file,$image_base64)) {
		echo $file;
	}
	else {
		echo 'error';
	}

}